#!/bin/bash
# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.

set -e

if [[ -n "${JUPYTERHUB_API_TOKEN}" ]]; then
	echo "WARNING: using start-singleuser.sh instead of start-notebook.sh to start a server associated with JupyterHub."
	exec /usr/local/bin/start-singleuser.sh "$@"
fi

wrapper=""
if [[ "${RESTARTABLE}" == "yes" ]]; then
	wrapper=""
fi

if [ ! -f /home/${NB_USER}/.jupyter/jupyter_notebook_config.py ]; then
	jupyter notebook --generate-config
fi

exec /usr/local/bin/start.sh ${wrapper} jupyter lab ${NOTEBOOK_ARGS} "$@"
